%define name usbutils
%define version 0.70
%define release %mkrel 4

Summary: Linux USB utilities
Name: %{name}
Version: %{version}
Release: %{release}
# old: http://usb.in.tum.de/download/usbutils
URL: http://sourceforge.net/project/showfiles.php?group_id=3581&package_id=142529
Source0: http://prownloads.sourceforge.net/linux-usb/usbutils-%{version}.tar.bz2
# 1.193 2005/02/24
Source1: http://www.linux-usb.org/usb.ids
Patch0: usbutils-0.70-fix-usage.patch.bz2
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libusb-devel
BuildConflicts: glibc < 2.3.4-5mdk

%description
usbutils contains a utility for inspecting devices connected to the USB bus.
It requires a Linux kernel version 2.3.15 or newer (supporting the
'/proc/bus/usb' interface).

%prep
%setup -q
%patch0 -p1
cp -a %SOURCE1 usb.ids


%build
%configure --enable-usbmodules
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f $RPM_BUILD_ROOT{%_includedir/libusb.h,%_libdir/libusb*}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_mandir}/*/*
%{_datadir}/usb.ids
%{_sbindir}/*


%changelog
* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.70-4mdk
- update usb.ids

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.70-3mdk
- update usb.ids

* Sat Feb 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.70-2mdk
- add BuildRequires: libusb-devel

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.70-1mdk
- new release (USB2.0 aware)
- rediff patch 0
- kill patch 1 (merged upstream)

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-9mdk
- update usb.ids
- kill useless prefix

* Thu Jan 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-8mdk
- update usb.ids
- kill patch 2 (merged upstream)

* Thu Dec 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-7mdk
- update ids list
- patch 1 : handle unknown HID Country Code entries in usb.ids
- patch 2 : kill duplicated entries
- kill now useless hack

* Thu Dec 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-6mdk
- update ids list

* Sun Feb  8 2004 Pixel <pixel@mandrakesoft.com> 0.11-5mdk
- fix usage (bugzilla #7525)
- update ids list

* Thu Nov  6 2003 Pixel <pixel@mandrakesoft.com> 0.11-4mdk
- update ids list

* Sun Apr  6 2003 Pixel <pixel@mandrakesoft.com> 0.11-3mdk
- update ids list
- fix patch 0 (otherwise, one gets "Invalid product/subclass spec", bug #3654)

* Mon Jan 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-2mdk
- update ids list
- patch 0 : let ldetect fill its class field for hub & interface classes
- fix build with new rpm

* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-1mdk
- new release
- updated usb.ids

* Thu Jun 27 2002 Pixel <pixel@mandrakesoft.com> 0.10-1mdk
- updated usb.ids
- new release

* Fri Jan 25 2002 Pixel <pixel@mandrakesoft.com> 0.9-1mdk
- updated usb.ids
- new version

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 0.8-3mdk
- s/Copyright/License/

* Mon Sep 10 2001 Pixel <pixel@mandrakesoft.com> 0.8-2mdk
- the latest usb.ids contain entries that usbutils doesn't handle (PHY lines),
  remove them

* Mon Aug 13 2001 Pixel <pixel@mandrakesoft.com> 0.8-1mdk
- new version
- get the latest usb.ids from http://www.linux-usb.org/usb.ids
- remove the hotplug patch which is included by default

* Mon Jul  2 2001 Pixel <pixel@mandrakesoft.com> 0.7-3mdk
- fix description

* Tue Jun 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7-2mdk
- Add hotplug patch.

* Sat Dec 16 2000 Pixel <pixel@mandrakesoft.com> 0.7-1mdk
- initial spec


# end of file
